@charset "utf-8";
/* CSS Document */
		
		:root {
			--header: #407584; /* Header */
			--footer: #85bfc4; /* Footer */
			--card: #F5F5F5; /* Blog Card */
			--mouseoverone: #D5F5F5; /* Blog Card Mouse Over */
			--mouseovertwo: #fff7be; /* Comment Card Mouse Over */
			--ligntborder: #F0F0F0; /* Comment Card Fonts */
			
			--mainfont: #383838; /* All Text & Link Fonts */
			--redfont: #d01010; /* H3, Category, Comment Card Title */
			--smallfont: #888; /* Reding Time & All */
			--moreinfofont: #666; /* Card - More Info Fonts */
			--h1font: #2e2e2e; /* H1 color */
			
			--darktheme: #29566a; /* H2 And Dark Theme Color */
			--lighttheme: #4e94b4; /* H4 And Light Theme Color */
			
		}

		@font-face {
		   font-family: bahnschrift;
		   src: url(fonts/bahnschrift.ttf);
		}                 

		::-webkit-scrollbar {display: none;}
		#element::-webkit-scrollbar {display: none;}
		::-webkit-scrollbar {width: 16px; background: transparent; /* Hides the scrollbar background */}
		::-webkit-scrollbar-thumb {background: linear-gradient(145deg, #ccc, #aaa); border-radius: 10px; box-shadow: inset 2px 2px 5px rgba(0, 0, 0, 0.3), inset -2px -2px 5px rgba(255, 255, 255, 0.5);}
		::-webkit-scrollbar-button {display: none; /* Hides the scrollbar arrows */}
		* {scrollbar-width: thin; scrollbar-color: #ccc transparent; /* Hides the scrollbar background */}
		*::-webkit-scrollbar-thumb {background: linear-gradient(145deg, #ccc, #aaa); border-radius: 10px; box-shadow: inset 2px 2px 5px rgba(0, 0, 0, 0.3), inset -2px -2px 5px rgba(255, 255, 255, 0.5);}

		* {box-sizing: border-box;}
		
		body {font-size: 100%; font-family: Arial; font-size: 14px; color: var(--mainfont); text-decoration:none; line-height: 24px; background-color:#fff; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px;}
		p {text-align: justify; letter-spacing: 1px;}

		a img {text-decoration: none;}
		a:link {text-decoration: none; color: var(--mainfont);}
		a:visited {text-decoration: none; color: var(--mainfont);}
		a:active {text-decoration: none; color: var(--mainfont);}
		a:hover, a:visited {text-decoration: none; color: var(--mainfont);}	

		h1 {font-size: 28px; font-weight: bold; color:var(--h1font); padding:0 0 12px 0;}
		h2 {font-size: 21px; font-weight: 200; color: var(--darktheme);}
		h3 {font-size: 18px; color:var(--redfont); margin-top:3px; margin-bottom:3px; font-weight: 250;}
		h4 {font-size: 16px; color: var(--lighttheme); margin-top:3px; margin-bottom:3px; font-weight: 250;}
		h5 {font-size: 14px; color: var(--moreinfofont); margin-top:12px; margin-bottom:12px; font-weight: 250;}
		h6 {font-size: 12px; color:var(--h1font); margin-top:3px; margin-bottom:3px; font-weight: 250; line-height: 18px;}
		
		#welcomeheader {display: flex; justify-content: space-between; align-items: center; width:100%; padding: 0 9vw; background-color:var(--header); text-align:left; color:#fff; height: 52px;}
		
		#logoheaderblog {display: flex; justify-content: space-between; align-items: center; width:100%; text-align:left; background:#FFF; height:auto; padding: 12px 9vw; border-bottom: 1px solid var(--header);}
		#logo {width:18vw;} #menuicon {width: 4vw; cursor: pointer;}
		
		#container {width: 82vw; padding: 32px 0; margin-right: auto; margin-left: auto; display: flex; flex-wrap: wrap; justify-content: space-between; align-items: center; align-items: stretch;}
		#container-left {width: 68%; display: block; height: auto;}
		#container-right {width: 29%; padding-left: 3%; border-left: 1px solid #ccc;} 
		#sidebar-box {width: 100%;} 
		#container-cover {width: 100%;}

		/* wrap Gallaery */

		.wrap-container {display: flex; flex-wrap: wrap; overflow-x: hidden; justify-content:flex-start; gap: 1.8%; padding: 15px 0; align-items:stretch; overflow: hidden; width: 100%;}
		.wrap-containerplus {display: flex; flex-wrap: wrap; overflow-x: hidden; justify-content:flex-start; gap: 1.8%; padding: 15px 0; align-items:stretch; overflow: hidden; width: 100%;}
		.wrap-four {width: 100%; height: auto; background-color: #fff; text-align: left; background-color: transparent; margin-bottom: 2.5%;}

		@media (min-width: 1200px) { /* Desktop */ .wrap-four {width: 23.5%;}}
		@media (min-width: 768px) and (max-width: 1199px) and (orientation: landscape) { /* Tablet landscape */.wrap-four {width: 32%;}}
		@media (max-width: 767px) and (orientation: landscape) { /* Mobile landscape */ .wrap-four {width: 48%;}}
		@media (max-width: 767px) and (orientation: portrait) { /* Mobile portrait */ .wrap-four {width: 100%;}}

		/* Scroll Gallaery */

		.scroll-container {display: flex; flex-wrap: nowrap; overflow-x: auto; gap: 1.8%; padding: 15px 0; align-items: stretch; width: 100%;   scroll-snap-type: x mandatory; /* Enables smooth scrolling */
		}

		.scroll-four, .scroll-six {flex-shrink: 0; /* Prevents items from shrinking */ width: 100%; height: auto; text-align: left; background-color: transparent; scroll-snap-align: start; /* Aligns elements for snapping */
		}

		@media (min-width: 1200px) { /* Desktop */
		  .scroll-container { flex-wrap: wrap; justify-content: center; overflow-x: hidden; /* Disables horizontal scrolling */}
		  .scroll-four { width: 23.5%; /* 4 scrolls in one row */ }
		  .scroll-six { width: 15%; /* 6 scrolls in one row */ }
		}

		@media (min-width: 768px) and (max-width: 1199px) and (orientation: landscape) { /* Tablet landscape */
		  .scroll-four { width: 23.5%; /* All 4 scrolls in one line */ }
		  .scroll-six { width: 23%; /* All 4 scrolls in one line */ }
		}

		@media all and (min-width: 768px) and (orientation: portrait) { /* tab portrait */
		  .scroll-four { width: 40%; /* 3 scrolls in one row */ }
		  .scroll-six { width: 40%; /* 3 scrolls in one row */ }	
		}

		@media (max-width: 767px) and (orientation: landscape) { /* Mobile landscape */
		  .scroll-four { width: 38%; /* 3 scrolls in one row */ }
		  .scroll-six { width: 38%; /* 3 scrolls in one row */ }
		}

		@media (max-width: 767px) and (orientation: portrait) { /* Mobile portrait */
		  .scroll-container {gap: 5%;}
		  .scroll-four { width: 80%; /* 2.5 scrolls per row */ }
		  .scroll-six { width: 80%; /* 2.5 scrolls per row */ }
		}



		#sidenav {height: 100%; width: 280px; position: fixed; z-index: 1111; top: 0; left: 100%; background-color: var(--header); overflow-x: hidden; transition: 0.5s; padding-top: 12px;}
		#sidenav a {padding: 8px 8px 8px 32px; text-decoration: none; font-size: 15px; color: #fff; display: block; padding: 12px 5%; margin: 0 10%; border-bottom: 1px solid #ccc;} 
		#sidenav a:hover {color: var(--mouseovertwo);}
		#sidenav img {height: 15px; width: 15px; float: left; margin-right: 10px; margin-top: 3px;}
		#sidenav-close {position: fixed; left: 100%; top: 13px; cursor: pointer; z-index: 1111; transition: 0.5s; color: #fff; font-size: 20px; margin-right: 40px; border-radius: 50%;}
		#sidenav-overlay {position: fixed; top: 0; left: 0; width: 100%; height: 100%; background: rgba(0, 0, 0, 0.6); display: none; z-index: 1110;}
		
		#footerone {display: flex; justify-content: space-between; align-items: center; width:100%; padding: 12px 9vw; background-color:var(--footer); text-align:left; font-size: 13px; font-weight: bold; color: var(--h1font);}
		#footertwo {display: flex; justify-content: space-between; align-items: center; width:100%; padding: 12px 9vw; background-color:var(--h1font); text-align:left; font-size: 13px; font-weight: bold; color: #fff;}
		
		#landscapedisplay {display: block;} #portraitdisplay {display: none;}
		.mobile {display: none;} .tab {display: none;} .desktop {display: block;}
		
		#corner-popup {position: fixed; bottom: 20px; right: 20px; background-color: #f2f2f2; border-radius: 10px; padding: 10px; box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); z-index: 99; width: 80%; max-width:  380px; padding: 18px; display: none;}
		#corner-popup-close {position: absolute; top: 12px; right: 18px; font-size: 20px; cursor: pointer;}
		#corner-popup-title {font-weight: bold; margin-right: 30px; /* Adjust as needed */}
		
		#ontopbtn {width: 52px; height: auto; right: 3%; bottom: 3%; cursor: pointer; position: fixed; display: none; box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px; border-radius: 50%; border: 1px solid #fff; content: url('https://whatiread.in/images/top.png');}
		
		#smicon img {width: 16px; height: auto; display: inline-block; vertical-align: middle; margin-left:15px;}
		
		/* mobile landscape */
		@media all and (min-width: 414px) and (max-width: 783px) and (orientation: landscape) {
			
			#welcomeheader {padding: 0 3vw}
			#logoheaderblog {padding: 12px 3vw;} #logo {width:28vw;} #menuicon {width: 6.5vw;}
			
			#container {width: 90vw;} #container-left, #container-right {width: 100%; padding-left: 0; border-left: none;}			
			
			#footerone, #footertwo {padding: 12px 3vw}
			
			.mobile {display: block;} .desktop {display: none;}
			
		}
		
		/* tab landscape */
		@media all and (min-width: 784px) and (max-width: 1272px) and (orientation: landscape) {
			
			#welcomeheader {padding: 0 5vw}
			#logoheaderblog {padding: 12px 5vw;} #logo {width:24vw;} #menuicon {width: 4.5vw;}
			
			#container {width: 90vw;} #sidebar-box {width: 33%;}
			#sidebar-box {width: 100%;}
			
			#footerone, #footertwo {padding: 8px 5vw}
			
			.mobile {display: none;} .desktop {display: block;}
			
		}
		
		/* mobile portrait */
		@media all and (max-width: 767px) and (orientation: portrait) {
			
			#welcomeheader {padding: 0 4vw}
			#logoheaderblog {padding: 10px 4.2vw;} #logo {width:45vw;} #menuicon {width: 10vw;}
			
			#container {width: 89vw;} #container-left, #container-right {width: 100%; padding-left: 0; border-left: none;}
			
			#footerone, #footertwo {padding: 10px 4vw;} 
			#landscapedisplay {display: none;} #portraitdisplay {display: block;}
			.mobile {display: block;} .desktop {display: none;}
			
			#corner-pop {max-width: auto; right: 20%;}
		}

		/* tab portrait */
		@media all and (min-width: 768px) and (orientation: portrait) {
			
			#welcomeheader {padding: 0 2.5vw}
			#logoheaderblog {padding: 10px 2.5vw;} #logo {width:30vw;} #menuicon {width: 6vw;}
			
			#container {width: 95vw;} #container-left, #container-right {width: 100%; padding-left: 0; border-left: none;}
			
			#footerone, #footertwo {padding: 10px 2.5vw;}
			.mobile {display: block;} .desktop {display: none;}
			
		}


		#blogcard {overflow: hidden; cursor: pointer; transition: 0.5; border-bottom: 2px solid #ADADAD; border-radius: 7px; padding: 18px; background-color: var(--card);}
		#blogcard:hover {box-shadow: 0 2px 4px rgba(0,0,0,.2); background-color: var(--mouseoverone);}
		.blogcard-img {position: relative;   width: -webkit-calc(100% - 7px); width: -moz-calc(100% - 7px); width: calc(100% - 7px); height: 0; padding-bottom: 75%; overflow: hidden; margin-bottom: 12px; border: 1px solid #ccc; background-image: url('images/loading-mitraa.gif'); background-repeat: no-repeat; background-size: auto 25%; background-position: center; border: 5px solid white; outline: 1px solid #ccc;}
		.blogcard-img img{ position: absolute; width: 100%; height: 100%; object-fit: cover;}
		.blogcard-category {font-size: 12px; color: var(--redfont); font-weight: 550; padding: 0 6px; text-transform: uppercase;}
		.blogcard-title {font-size: 14px; line-height: 24px; margin-top: 10px; margin-bottom: 10px; font-weight: bold; padding: 0 6px; text-align: left; letter-spacing: normal;}
		.blogcard-description {font-size: 14px; line-height: 23px; color: var(--moreinfofont); margin-bottom: 10px; padding: 0 6px; margin-bottom: 16px; overflow: hidden; display: -webkit-box; -webkit-line-clamp: 3; -webkit-box-orient: vertical;}
		.blogcard-footer {display: flex; justify-content: space-between; font-size: 12px; color: var(--smallfont); padding: 0 6px;}
		.blogcard-comments {color: var(--smallfont); position: relative;}
		.blogcard-comments::before {content: ""; background-image: url('images/comment-icon.png'); background-size: cover; display: inline-block; width: 12px; height: 12px;
		  position: relative; top: 2px; margin-right: 5px; }
		.blogcard-views {color: var(--smallfont); position: relative;}
		.blogcard-views::before {content: ""; background-image: url('images/view-icon.png'); background-size: cover; display: inline-block; width: 12px; height: 12px;
		  position: relative; top: 2px; margin-right: 5px; }
		.blogcard-readtime {color: var(--smallfont); position: relative;}
		.blogcard-readtime::before {content: ""; background-image: url('images/clock-icon.png'); background-size: cover; display: inline-block; width: 12px; height: 12px;
		  position: relative; top: 2px; margin-right: 5px;}

		#commentcard {border-radius: 8px; overflow: hidden; cursor: pointer; transition: 0.5; border: 1px solid var(--ligntborder); padding: 18px; padding-bottom: 6px; margin-bottom: 24px;}
		#commentcard:hover {box-shadow: 0 2px 4px rgba(0,0,0,.2); background-color: var(--mouseovertwo);}
		.commentcard-title {font-size: 16px; color: var(--redfont); margin-top: 5px;}
		.commentcard-description {font-size: 14px; margin-top: 10px;}
		.commentcard-info {border-top: 1px solid #ccc; margin-top: 12px; display: flex; align-items: center; padding: 10px 0;}
		.commentcard-blogname {font-size: 12px; color: var(--smallfont); margin: 0; overflow: hidden; display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical;}
		
		#profilecard {border-radius: 8px; overflow: hidden; cursor: pointer; transition: 0.5; border: 1px solid var(--ligntborder); padding: 18px; padding-bottom: 6px; margin-bottom: 24px;}
		#profilecard:hover {box-shadow: 0 2px 4px rgba(0,0,0,.2); background-color: var(--mouseoverone);}
		.profilecard-picture {width: 35%; height: auto; border-radius: 50%; object-fit: cover; border: 2px solid #ccc; margin-bottom: 5px;}
		.profilecard-name {width: 100%; font-size: 20px; font-weight: bold; margin-top: 10px;}
		.profilecard-title {width: 100%; font-size: 16px; color: var(--redfont); margin-top: 5px;}
		.profilecard-description {width: 100%; font-size: 12px; margin-top: 10px; overflow: hidden; text-align: left; display: -webkit-box; -webkit-line-clamp: 3; -webkit-box-orient: vertical;}
		.profilecard-description-all {width: 100%; font-size: 13px; margin-top: 10px; overflow: hidden;}
		.profilecard-info {width: 100%; border-top: 1px solid #ccc; margin-top: 12px; display: flex; align-items: center; padding: 10px 0;}
		.profilecard-textinfo {width: 100%; font-size: 14px; color: var(--smallfont); margin: 0;}
		.profilecard-main {border-radius: 8px; overflow: hidden; transition: 0.5; border: 1px solid var(--ligntborder); padding: 18px; padding-bottom: 6px; margin-bottom: 24px;}

		.lightbox-background {display: none; position: fixed; z-index: 1; padding-top: 100px; left: 0; top: 0; width: 100%; height: 100%; overflow: auto; background-color: rgb(0,0,0); background-color: rgba(0,0,0,0.9);}
		.lightbox-content {margin: auto; display: block; width: 92%; max-width: 450px; height: auto; background-color: white; padding: 20px; border-radius: 4px;}
		.lightbox-close {color: white; position: absolute; top: 20px; right: 20px; font-size: 20px; font-weight: bold; transition: 0.3s;}
		.lightbox-close:hover, .lightbox-close:focus {color: #FF686B; text-decoration: none; cursor: pointer;}
